package org.yaoqiang.graph.io.graphml;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

/**
 * GraphMLEdge
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class GraphMLEdge {

	private String edgeId;

	private String edgeSource;

	private String edgeTarget;

	private String edgeDirected;

	private GraphMLData edgeData;

	public GraphMLEdge(Element edgeElement) {
		this.edgeId = edgeElement.getAttribute(GraphMLConstants.ID).replaceAll(":", "_");
		this.edgeSource = edgeElement.getAttribute(GraphMLConstants.EDGE_SOURCE).replaceAll(":", "_");
		this.edgeTarget = edgeElement.getAttribute(GraphMLConstants.EDGE_TARGET).replaceAll(":", "_");
		this.edgeDirected = edgeElement.getAttribute(GraphMLConstants.EDGE_DIRECTED);

		NodeList dataList = edgeElement.getElementsByTagName(GraphMLConstants.DATA);
		if (dataList.getLength() > 0) {
			Element dataElement = (Element) dataList.item(0);
			edgeData = new GraphMLData(dataElement);
		}
	}

	public String getEdgeDirected() {
		return edgeDirected;
	}

	public String getEdgeId() {
		return edgeId;
	}

	public String getEdgeSource() {
		return edgeSource;
	}

	public String getEdgeTarget() {
		return edgeTarget;
	}

	public GraphMLData getEdgeData() {
		return edgeData;
	}

}
