package org.yaoqiang.util;

import java.util.Properties;

/**
 * Settings
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Settings {

	private Properties props;

	public Settings(Properties props) {
		this.props = props;
	}

	public Settings() {
		this.props = new Properties();
	}

	public Properties getProperties() {
		return props;
	}

	public String getPasswordForUser(String barejid) {
		return Encryptor.decrypt(props.getProperty("pwd" + Encryptor.encrypt(barejid)));
	}

	public void setPasswordForUser(String barejid, String password) {
		String user = "pwd" + Encryptor.encrypt(barejid);
		String pw = Encryptor.encrypt(password);
		props.setProperty(user, pw);
	}

	public boolean isAutoLogin() {
		return Boolean.parseBoolean(props.getProperty("autoLogin", "false"));
	}

	public void setAutoLogin(boolean autoLogin) {
		props.setProperty("autoLogin", Boolean.toString(autoLogin));
	}

	public boolean isRememberPassword() {
		return Boolean.parseBoolean(props.getProperty("rememberPassword", "false"));
	}

	public void setRememberPassword(boolean rememberPassword) {
		props.setProperty("rememberPassword", Boolean.toString(rememberPassword));
	}

	public String getLastUsername() {
		return props.getProperty("jabberId");
	}

	public void setLastUsername(String jabberId) {
		props.setProperty("jabberId", jabberId);
	}

	public String getXMPPServer() {
		return props.getProperty("xmppServerAddress");
	}

	public void setXMPPServer(String xmppServer) {
		props.setProperty("xmppServerAddress", xmppServer);
	}

	public boolean isSSL() {
		return Boolean.parseBoolean(props.getProperty("sslEnabled", "false"));
	}

	public void setSSL(boolean ssl) {
		props.setProperty("sslEnabled", Boolean.toString(ssl));
	}
}
